<?php
// $Id$

/**
 * @file
 * Provides support for the Views module.
 */


/**
 * Implementation of hook_views_data().
 */
function member_mailman_views_data() {
  $data = array();
  // Advertise this table as a possible base table
  $data['member_mailman']['table']['base'] = array(
    'field' => 'email',
    'title' => t('Member mailman data'),
    'help' => t("Coordination of membership and mailing lists."),
  );

  $data['member_mailman']['table']['group'] = t('Member mailman list');
  $data['member_mailman']['table']['join']['node'] = array(
    'left_table' => 'node',
    'left_field' => 'nid',
    'field' => 'member_nid',
  );

  $data['member_mailman']['member_nid'] = array(
    'title' => t('Member record'),
    'help' => t('The memebr record.'),
    'relationship' => array(
      'base' => 'node',
      'handler' => 'views_handler_relationship',
      'label' => t('Member record'),
    ),
  );

  $data['member_mailman']['email'] = array(
    'title' => t('E-mail address'),
    'help' => t('.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
  );
  $data['member_mailman']['new_email'] = array(
    'title' => t('New e-mail address'),
    'help' => t('.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => FALSE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
  );
  $data['member_mailman']['first_name'] = array(
    'title' => t('First name'),
    'help' => t('.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => FALSE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
  );
  $data['member_mailman']['last_name'] = array(
    'title' => t('Last name'),
    'help' => t('.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => FALSE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
  );
  $data['member_mailman']['address'] = array(
    'title' => t('Address'),
    'help' => t('.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => FALSE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
  );

  $data['member_mailman']['pending_operation'] = array(
    'title' => t('Pending operation'),
    'help' => t('.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => FALSE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
  );
  $data['member_mailman']['operation_confirmed'] = array(
    'title' => t('Operation confirmed'),
    'help' => t('.'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => FALSE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_boolean_operator',
    ),
  );
  return $data;
}
